Bug 178505

Summary: Add an argument indicating the type of removal to Node::removedFrom
Product: WebKit Reporter: Ryosuke Niwa <rniwa>
Component: DOMAssignee: Ryosuke Niwa <rniwa>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, commit-queue, jiewen_tan, koivisto, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=178431
Attachments:
Description Flags
Cleanup
none
Updated for trunk none

Description Ryosuke Niwa 2017-10-18 23:36:34 PDT
In order to have a better guarantee of node flags,  etc... we need to have an argument
indicating what kind of insertion mutation and happened to removedFrom like https://trac.webkit.org/changeset/223628.
Comment 1 Ryosuke Niwa 2017-10-19 00:11:49 PDT
Created attachment 324211 [details]
Cleanup
Comment 2 Ryosuke Niwa 2017-10-19 00:17:02 PDT
Created attachment 324212 [details]
Updated for trunk
Comment 3 Antti Koivisto 2017-10-19 02:21:17 PDT
Comment on attachment 324212 [details]
Updated for trunk

r=me
Comment 4 WebKit Commit Bot 2017-10-19 03:05:25 PDT
Comment on attachment 324212 [details]
Updated for trunk

Clearing flags on attachment: 324212

Committed r223685: <https://trac.webkit.org/changeset/223685>
Comment 5 WebKit Commit Bot 2017-10-19 03:05:27 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-10-20 14:31:28 PDT
<rdar://problem/35102409>